Unit tef12r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, EF12R_p;

function tef12r: String;

implementation

function tef12r: String;
var
I,J,_i :Integer;
U :Array [0..10] of Real;
F :Array [0..10] of Real;
A :Array [0..120] of Real;
H :Array [0..6] of Real;
W :Array [0..87] of Real;
const
P :Array [0..10] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0 );
N :Integer = 11;
M :Integer = 11;
EPS :Real = 0.001;
SX :Array [0..10] of Real = ( 0.0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0 );
SY :Array [0..10] of Real = ( 0.0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0 );
label
_1,_2;
begin
Result := '';
for I:=1 to M do
 begin
  F[I-1] := ArcTan(SY[I-1]);
  for J:=1 to N do
   begin
_1:
    A[(I-1)+(J-1)*11] := SY[I-1]/(1.0+SX[J-1]*SX[J-1]*SY[I-1]*SY[I-1]);
   end;
 end;
EF12R(SX,SY,N,M,A,U,F,P,1.0,0.0,0.0,EPS,H,W,1);
Result := Result + Format('%s',[' PEEHE']);
Result := Result + #$0D#$0A;
for _i:=0 to 10 do
 begin
  Result := Result + Format('%20.16f ',[U[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%20.16f ',[H[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
F[0] := 0.0;
for I:=2 to N do
 begin
_2:
  F[I-1] := Ln(1.0+SY[I-1]*SY[I-1])/(2.0*SY[I-1]);
 end;
EF12R(SX,SY,N,M,A,U,F,P,1.0,0.0,0.0,EPS,H,W,3);
Result := Result + Format('%s',[' PEEHE']);
Result := Result + #$0D#$0A;
for _i:=0 to 10 do
 begin
  Result := Result + Format('%20.16f ',[U[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%20.16f ',[H[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tef12r',Result);  {     tef12r.res }
exit;
end;

end.
